io.vertx.rxjava3.grpc.common

## Class GrpcMessageEncoder<T>

- java.lang.Object
- - io.vertx.rxjava3.grpc.common.GrpcMessageEncoder<T>

-     public class GrpcMessageEncoder<T>
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<GrpcMessageEncoder>` | `__TYPE_ARG`
    `io.vertx.lang.rx.TypeArg<T>` | `__typeArg_0`
    `static GrpcMessageEncoder<Buffer>` | `GZIP`
    `static GrpcMessageEncoder<Buffer>` | `IDENTITY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GrpcMessageEncoder(GrpcMessageEncoder delegate)`
    `GrpcMessageEncoder(Object delegate, io.vertx.lang.rx.TypeArg<T> typeArg_0)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `GrpcMessage` | `encode(T msg)`
    `boolean` | `equals(Object o)`
    `GrpcMessageEncoder` | `getDelegate()`
    `int` | `hashCode()`
    `static <T> GrpcMessageEncoder<T>` | `marshaller(io.grpc.MethodDescriptor.Marshaller<T> desc)`
    `static <T> GrpcMessageEncoder<T>` | `newInstance(GrpcMessageEncoder arg)`
    `static <T> GrpcMessageEncoder<T>` | `newInstance(GrpcMessageEncoder arg, io.vertx.lang.rx.TypeArg<T> __typeArg_T)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<GrpcMessageEncoder> __TYPE_ARG

    - #### __typeArg_0

          public final io.vertx.lang.rx.TypeArg<T> __typeArg_0

    - #### IDENTITY

          public static final GrpcMessageEncoder<Buffer> IDENTITY

    - #### GZIP

          public static final GrpcMessageEncoder<Buffer> GZIP

  - ### Constructor Detail

    - #### GrpcMessageEncoder

          public GrpcMessageEncoder(GrpcMessageEncoder delegate)

    - #### GrpcMessageEncoder

          public GrpcMessageEncoder(Object delegate,
                                    io.vertx.lang.rx.TypeArg<T> typeArg_0)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public GrpcMessageEncoder getDelegate()

    - #### encode

          public GrpcMessage encode(T msg)

    - #### marshaller

          public static <T> GrpcMessageEncoder<T> marshaller(io.grpc.MethodDescriptor.Marshaller<T> desc)

    - #### newInstance

          public static <T> GrpcMessageEncoder<T> newInstance(GrpcMessageEncoder arg)

    - #### newInstance

          public static <T> GrpcMessageEncoder<T> newInstance(GrpcMessageEncoder arg,
                                                              io.vertx.lang.rx.TypeArg<T> __typeArg_T)

Copyright © 2024 Eclipse. All rights reserved.